/* FONTS */
@import url(../css/clash-display.css);

/* VARIABLES */
:root {
    --c-dark: #212529;
    --c-brand: #4e57d4;
    --c-brand-light: #6970dd;
    --c-brand-rgb: 78, 87, 212;
    --c-body: #727272;
    --font-base: "ClashDisplay", sans-serif;
    --box-shadow: 0px 15px 25px rgba(0,0,0,0.08);
    --transition: all 0.5s ease;
    --orange-color: #fa8a1ad9;
    --white-color: #fff;
    --nav-shadow: 0 4px 16px rgba(0,0,0,.3);
    --font-color-primary: #fff;
}

/* RESET & HELPERS */
body {
    font-family: var(--font-base);
    line-height: 1.7;
    color: var(--c-body);
}

h1, h2, h3,h4, h5, h6,
.h1, .h2, .h3, .h4, .h5, .h6 {
    font-weight: 600;
    color: var(--c-dark);
}

a {
    text-decoration: none;
    color: var(--c-brand);
    transition: var(--transition);
}

a:hover {
    color: var(--c-brand-light);
}

img {
    max-width: 100%;
    height: auto;
}

.section-padding {
    padding-top: 140px;
    padding-bottom: 140px;
}

.theme-shadow {
    box-shadow: var(--box-shadow);
}

/* IMAGE ZOOM */
.image-zoom {
    position: relative;
    /* overflow: hidden; */
}

.image-zoom-wrapper {
    overflow: hidden;
    position: relative;
}

.image-zoom-wrapper img{
     transition: var(--transition);
}

.image-zoom:hover .image-zoom-wrapper img {
    transform: scale(1.1);
}

/* NAVBAR */
.nav {
  height: var(--header-height);
  background-color: var(--orange-color);
  padding: 0.5rem 1.5rem;
  border-radius: 4rem;
  display: flex;
  align-items: center;
  justify-content: space-between;
  position: relative;
  box-shadow: var(--nav-shadow);
}

/* LOGO */
.nav__logo {
  width: 50px;
  height: 50px;
  background-color: var(--white-color);
  border-radius: 50%;
  display: grid;
  place-items: center;
}

.nav__logo img {
  width: 70%;
  transition: transform .6s;
}

.nav__logo:hover img {
  transform: rotateY(360deg);
}


.navbar {
    position: fixed; 
    top: 0;
    width: 100%;
    transition: transform 0.3s ease-in-out;
    z-index: 1000;
}


.navbar.hide {
    transform: translateY(-100%);
}

/* MENU DESKTOP CENTER */
@media screen and (min-width: 1150px) {
  .nav__menu {
    position: absolute;
    left: 50%;
    top: 50%;
    transform: translate(-50%, -50%);
  }
}

/* MENU LIST */
.nav__list {
  list-style: none;
  display: flex;
  gap: 3rem;
  margin: 0;
  padding: 0;
}

.nav__link {
  color: var(--white-color);
  text-decoration: none;
  font-weight: 600;
  position: relative;
  overflow: hidden;
  display: grid;
  place-items: center;
}

.nav__link span {
  transition: .4s;
}

.nav__link span:nth-child(2) {
  position: absolute;
  transform: translateY(150%);
}

.nav__link:hover span:nth-child(1) {
  transform: translateY(-150%);
}

.nav__link:hover span:nth-child(2) {
  transform: translateY(0);
}

/* TOGGLE BUTTON */
.nav__toggle {
  width: 32px;
  height: 32px;
  display: grid;
  place-items: center;
  background: none;
  border: none;
  color: var(--white-color);
  font-size: 1.6rem;
  cursor: pointer;
  position: relative;
}

/* Hide toggle on desktop */
@media screen and (min-width: 1150px) {
  .nav__toggle {
    display: none;
  }
}

.nav__burger,
.nav__close {
  position: absolute;
  transition: .3s;
}

.nav__close {
  opacity: 0;
}

/* MOBILE MENU */
@media screen and (max-width: 1149px) {

  .nav__menu {
    position: fixed;
    top: 6rem;
    left: 0;
    right: 0;
    background: #f47830e0;
    margin: 0 2rem;
    padding: 3rem 0;
    border-radius: 2rem;
    text-align: center;
    opacity: 0;
    pointer-events: none;
    transform: translateY(-20px);
    transition: .4s;
  }

  .nav__list {
    flex-direction: column;
    gap: 2rem;
  }

  .show-menu {
    opacity: 1;
    pointer-events: auto;
    transform: translateY(0);
  }
}

/* Toggle animation */
.show-icon .nav__burger {
  opacity: 0;
  transform: rotate(90deg);
}

.show-icon .nav__close {
  opacity: 1;
  transform: rotate(90deg);
}

/* BTN */
.btn {
    font-weight: 600;
    font-size: 14px;
    text-transform: uppercase;
    border-radius: 0;
    padding: 10px 24px;
}

.btn-brand {
    background-color: var(--c-brand);
    border-color: var(--c-brand);
    color: white;
}

.btn-brand:hover {
    background-color: var(--c-brand-light);
    border-color: var(--c-brand-light);
    color: white;
}


/* Gallery */
.portfolio-item .iconbox {
    background-color: var(--c-brand);
    color: white;
    position: absolute;
    top: 40%;
    left: 50%;
    transform: translate(-50%, -50%);
    opacity: 0;
}

.portfolio-item:hover .iconbox {
    opacity: 1;
    top: 50%;
}

/* REVIEW */
.review small {
    font-weight: 600;
    text-transform: uppercase;
    color: var(--c-brand);
}

.review-head {
    position: relative;
}

.review-head::after {
    content: "";
    width: 28px;
    height: 28px;
    position: absolute;
    bottom: -14px;
    background-color: white;
    transform: rotate(45deg);
}

/* ICONBOX */
.iconbox {
    width: 70px;
    height: 70px;
    display: inline-flex;
    align-items: center;
    justify-content: center;
    background: rgba(var(--c-brand-rgb), 0.1);
    color: var(--c-brand);
    font-size: 34px;
    flex: none;
}

.iconbox {
     background-color: rgba(255,255,255,0.2);
    color: white;
}


/* FOOTER */
footer {
    position: relative;
    width: 100%;
    background: #F47930;
    min-height: 100px;
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    padding: 10px 0;
    margin-top: 100px;
}

footer .social_icons, footer .menu {
    list-style: none;
    position: relative;
    display: flex;
    justify-content: center;
    align-items: center;
    margin: 10px 0;
    flex-wrap: wrap;
}

footer .social_icons li a {
    font-size: 2em;
    color: #fff;
    margin: 0 10px;
    transition: .5s;
    display: inline-block;
}

footer .social_icons li a:hover {
    transform: translateY(-10px);
}

footer .menu li a {
    font-size: 1.2em;
    color: #fff;
    margin: 0 10px;
    display: inline-block;
    text-decoration: none;
    opacity: .75;
}

footer .menu li a:hover {
    opacity: 1;
}

footer p {
    margin-top: 15px;
    margin-bottom: 10px;
    color: #fff;
    font-size: 1.1em;
    text-align: center;
}

footer .wave {
    position: absolute;
    top: -90px;
    left: 0;
    height: 100px;
    width: 100%;
    background: url('../images/wave.png');
    background-size: 1000px 100px;
}

footer .wave#wave1 {
    z-index: 1000;
    opacity: 1;
    bottom: 0;
    animation: animateWave 4s linear infinite;
}

footer .wave#wave2 {
    z-index: 999;
    opacity: .5;
    bottom: 10px;
    animation: animateWave_02 4s linear infinite;
}

footer .wave#wave3 {
    z-index: 1000;
    opacity: .2;
    bottom: 15px;
    animation: animateWave 3s linear infinite;
}

footer .wave#wave4 {
    z-index: 999;
    opacity: .7;
    bottom: 20px;
    animation: animateWave_02 3s linear infinite;
}

@keyframes animateWave {
    0% {
        background-position-x: 1000px;
    }

    100% {
        background-position-x: 0px;
    }
}

@keyframes animateWave_02 {
    0% {
        background-position-x: 0px;
    }

    100% {
        background-position-x: 1000px;
    }
}